DELETE
/api/v2/auth/tokens/current
Requires authentication
60 requests per minute
v2
Send a bearer token in the Authorization header.
Invalidates the token used to make this call. Idempotent — revoking an already-revoked token still returns 204.
Full URL: https://api.acme.example/api/v2/auth/tokens/current
Responses
204 Revoked. No body is returned.
No response body.
Example request
curl -X DELETE 'https://api.acme.example/api/v2/auth/tokens/current' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Accept: application/json'
const response = await fetch('https://api.acme.example/api/v2/auth/tokens/current', {
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_TOKEN',
'Accept': 'application/json'
}
});
const data = await response.json();
use Illuminate\Support\Facades\Http;
$response = Http::withHeaders([
'Authorization' => 'Bearer YOUR_TOKEN',
'Accept' => 'application/json',
])->delete('https://api.acme.example/api/v2/auth/tokens/current');
$data = $response->json();
use GuzzleHttp\Client;
$client = new Client();
$response = $client->request('DELETE', 'https://api.acme.example/api/v2/auth/tokens/current', [
'headers' => [
'Authorization' => 'Bearer YOUR_TOKEN',
'Accept' => 'application/json',
],
]);
$data = json_decode((string) $response->getBody(), true);